org.eclipse.jgit.lib

## Class BranchConfig

- java.lang.Object
- - org.eclipse.jgit.lib.BranchConfig

    public class BranchConfig
    extends Object

Branch section of a Git configuration file.

### Field Summary

Fields
`static String` `LOCAL_REPOSITORY` The value that means "local repository" for `getRemote()`: "."

### Constructor Summary

Constructors
Constructor and Description
`BranchConfig(Config config, String branchName)` Create a new branch config, which will read configuration from config about specified branch.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMerge()`
`String` `getRemote()`
`String` `getRemoteTrackingBranch()`
`String` `getTrackingBranch()`
`boolean` `isRebase()`
`boolean` `isRemoteLocal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOCAL_REPOSITORY

    public static final String LOCAL_REPOSITORY

The value that means "local repository" for `getRemote()`: "."

Since:
  3.5
See Also:
  Constant Field Values

### Constructor Detail

#### BranchConfig

    public BranchConfig(Config config,
                        String branchName)

Create a new branch config, which will read configuration from config about specified branch.

Parameters:
  `config` - the config to read from
  `branchName` - the short branch name of the section to read

### Method Detail

#### getTrackingBranch

    public String getTrackingBranch()

Returns:
  the full tracking branch name or `null` if it could not be determined

#### getRemoteTrackingBranch

    public String getRemoteTrackingBranch()

Returns:
  the full remote-tracking branch name or `null` if it could not be determined. If you also want local tracked branches use `getTrackingBranch()` instead.

#### isRemoteLocal

    public boolean isRemoteLocal()

Returns:
  `true` if the "remote" setting points to the local repository (with "."), false otherwise
Since:
  3.5

#### getRemote

    public String getRemote()

Returns:
  the remote this branch is configured to fetch from/push to, or `null` if not defined
Since:
  3.5

#### getMerge

    public String getMerge()

Returns:
  the name of the upstream branch as it is called on the remote, or `null` if not defined
Since:
  3.5

#### isRebase

    public boolean isRebase()

Returns:
  `true` if the branch is configured to be rebased
Since:
  3.5